Method: projects.locations.entryGroups.entryLinks.patch

Updates an Entry Link.

HTTP request

PATCH https://dataplex.googleapis.com/v1/{entryLink.name=projects/*/locations/*/entryGroups/*/entryLinks/**}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
entryLink.name

string

Output only. Immutable. Identifier. The relative resource name of the Entry Link, of the form: projects/{project_id_or_number}/locations/{locationId}/entryGroups/{entryGroupId}/entryLinks/{entryLinkId}

Query parameters

Parameters
allowMissing

boolean

Optional. If set to true and the entry link doesn't exist, the service will create it.

aspectKeys[]

string

Optional. The map keys of the Aspects which the service should modify. It should be the aspect type reference in the format {project_id_or_number}.{locationId}.{aspectTypeId}.

If this field is left empty, the service treats it as specifying exactly those Aspects present in the request.

Request body

The request body contains an instance of EntryLink.

Response body

If successful, the response body contains an instance of EntryLink.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permissions on the name resource:

  • dataplex.entryGroups.useDefinitionEntryLink
  • dataplex.entryGroups.useRelatedEntryLink
  • dataplex.entryGroups.useSchemaJoinEntryLink
  • dataplex.entryGroups.useSynonymEntryLink
  • dataplex.entryLinks.update

For more information, see the IAM documentation.